<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: SDL_HapticLeftRight Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SDL_HapticLeftRight Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A structure containing a template for a Left/Right effect.  
 <a href="struct_s_d_l___haptic_left_right.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_s_d_l__haptic_8h_source.html">SDL_haptic.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abef79eeb482a8e623e512f0c9635e1a1"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_left_right.html#abef79eeb482a8e623e512f0c9635e1a1">type</a></td></tr>
<tr class="separator:abef79eeb482a8e623e512f0c9635e1a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b942fee53f1ec77d3fb91a6e89b0196"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_left_right.html#a5b942fee53f1ec77d3fb91a6e89b0196">length</a></td></tr>
<tr class="separator:a5b942fee53f1ec77d3fb91a6e89b0196"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cd16fe2200ef10cc4f3b4209adef959"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_left_right.html#a8cd16fe2200ef10cc4f3b4209adef959">large_magnitude</a></td></tr>
<tr class="separator:a8cd16fe2200ef10cc4f3b4209adef959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1f2c1e767a780e447d82efce6cd1cf"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_left_right.html#aaa1f2c1e767a780e447d82efce6cd1cf">small_magnitude</a></td></tr>
<tr class="separator:aaa1f2c1e767a780e447d82efce6cd1cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A structure containing a template for a Left/Right effect. </p>
<p>This struct is exclusively for the <a class="el" href="_s_d_l__haptic_8h.html#ae047624d8458ff6400887c37a36f86d3" title="Left/Right effect supported.">SDL_HAPTIC_LEFTRIGHT</a> effect.</p>
<p>The Left/Right effect is used to explicitly control the large and small motors, commonly found in modern game controllers. The small (right) motor is high frequency, and the large (left) motor is low frequency.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="_s_d_l__haptic_8h.html#ae047624d8458ff6400887c37a36f86d3" title="Left/Right effect supported.">SDL_HAPTIC_LEFTRIGHT</a> </dd>
<dd>
<a class="el" href="union_s_d_l___haptic_effect.html" title="The generic template for any haptic effect.">SDL_HapticEffect</a> </dd></dl>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a8cd16fe2200ef10cc4f3b4209adef959"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cd16fe2200ef10cc4f3b4209adef959">&#9670;&nbsp;</a></span>large_magnitude</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticLeftRight::large_magnitude</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Control of the large controller motor. </p>

</div>
</div>
<a id="a5b942fee53f1ec77d3fb91a6e89b0196"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b942fee53f1ec77d3fb91a6e89b0196">&#9670;&nbsp;</a></span>length</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_HapticLeftRight::length</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Duration of the effect in milliseconds. </p>

</div>
</div>
<a id="aaa1f2c1e767a780e447d82efce6cd1cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa1f2c1e767a780e447d82efce6cd1cf">&#9670;&nbsp;</a></span>small_magnitude</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticLeftRight::small_magnitude</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Control of the small controller motor. </p>

</div>
</div>
<a id="abef79eeb482a8e623e512f0c9635e1a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abef79eeb482a8e623e512f0c9635e1a1">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticLeftRight::type</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="_s_d_l__haptic_8h.html#ae047624d8458ff6400887c37a36f86d3" title="Left/Right effect supported.">SDL_HAPTIC_LEFTRIGHT</a> </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/SDL/<a class="el" href="_s_d_l__haptic_8h_source.html">SDL_haptic.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
